Retrieves the user_planning_slot with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "936ace43-1d49-44f0-91a0-ac9cae94e032",
  "user_id": "674e3167-d235-489d-abb7-23c6e30d4fb6",
  "user_planning_slot_type_id": "57037b62-1942-489e-acec-fdf655ff2578",
  "date_from": "2026-11-21T19:22:18.0652995+00:00",
  "date_to": "2026-11-21T19:22:18.0652995+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-11-21T19:22:18.0652995+00:00"
}